package com.FranckBarbier.Java._Covariance;

public class Family {

    java.util.Set<Individual> _members = new java.util.HashSet<>();

    public Family() {
        _members.add(new Individual(11, 1, 1963));
        _members.add(new Individual(28, 7, 1964));
    }

    public void births(Individual... children) {
        for (Individual c : children) {
            _members.add(c);
        }
    }

    public int last_child_birth_year() {
        int result = 0;
        for (Individual membre : _members) {
            if (result < membre._birth_date.getYear()) {
                result = membre._birth_date.getYear();
            }
        }
        return result;
    }
}
